using FluentValidation;

namespace CMSMicroservice.Application.PackageCQ.Commands.VerifyBasePackagePayment;

public class VerifyBasePackagePaymentCommandValidator : AbstractValidator<VerifyBasePackagePaymentCommand>
{
    public VerifyBasePackagePaymentCommandValidator()
    {
        RuleFor(x => x.OrderId)
            .GreaterThan(0)
            .WithMessage("شناسه سفارش معتبر نیست.");

        RuleFor(x => x.TransactionId)
            .GreaterThan(0)
            .WithMessage("شناسه تراکنش معتبر نیست.");
    }
}
